%define name festvox
%define version 1.4.3
%define release %mkrel 2

Name:  		%name
Summary: 	Voices for Festival - a free speech synthesizer 
Version: 	%{version}
Release: 	%release
License: 	BSD
Group: 		Sound
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root 
URL: 		http://www.cstr.ed.ac.uk/projects/festival/
BuildArch: 	noarch

### VOICES
# American English male speaker (KAL), residual excited LPC diphone database
Source200: 	ftp://ftp.cstr.ed.ac.uk/pub/festival/%{version}/festvox_kallpc16k.tar.bz2
# Same voice at lower quality
Source201: 	ftp://ftp.cstr.ed.ac.uk/pub/festival/%{version}/festvox_kallpc8k.tar.bz2
# American English male speaker, residual excited LPC diphone database
Source202: 	ftp://ftp.cstr.ed.ac.uk/pub/festival/%{version}/festvox_kedlpc16k.tar.bz2
# Same voice at lower quality
Source203: 	ftp://ftp.cstr.ed.ac.uk/pub/festival/%{version}/festvox_kedlpc8k.tar.bz2
# British English RP male speaker using residual excited LPC diphone
# database, requires festlex_POSLEX and festlex_OALD (non-free)
#Source204: 	ftp://ftp.cstr.ed.ac.uk/pub/festival/%{version}/festvox_rablpc16k.tar.bz2
# Same as festvox_rablpc16k but at 8KHz sampling.
# requires festlex_POSLEX and festlex_OALD (non-free)
#Source205: 	ftp://ftp.cstr.ed.ac.uk/pub/festival/%{version}/festvox_rablpc8k.tar.bz2 

# Castilian Spanish male speaker, residual excited LPC diphone database
# NONFREE! - Free for non-commercial use
#Source299: 	ftp://ftp.cstr.ed.ac.uk/pub/festival/%{version}/festvox_ellpc11k.tar.bz2

# Add some useful words to the dictionary...
#Patch10: CMU-redhat.patch.bz2

%description
Festival is a general multi-lingual speech synthesis system developed
at CSTR. It offers a full text to speech system with various APIs, as
well as an environment for development and research of speech synthesis
techniques. It is written in C++ with a Scheme-based command interpreter
for general control.

This package contains voices for use with Festival


%package kallpc16k
Group:		Sound
Summary:	Festival Voice - American English male speaker (KAL) 16kHz
Requires:	festvox-kallpc-common
Provides:	festival-voice
Provides:	festival-voice-english
Provides:	festival-voice-en_US

%description kallpc16k
Festival Voice - American English male speaker (KAL) 16kHz

%package kallpc8k
Group:		Sound
Summary:	Festival Voice - American English male speaker (KAL) 8kHz
Requires:	festvox-kallpc-common
Provides:	festival-voice
Provides:	festival-voice-english
Provides:	festival-voice-en_US

%description kallpc8k
Festival Voice - American English male speaker (KAL) 8kHz

%package kallpc-common
Group:		Sound
Summary:	Festival Voice - American English male speaker (KAL) - Common
Requires:	festlex-CMU

%description kallpc-common
Festival Voice - American English male speaker (KAL)

Files shared between the 16kHz and 8kHz Voices


%package kedlpc16k
Group:		Sound
Summary:	Festival Voice - American English male speaker (KED) 16kHz
Requires:	festvox-kedlpc-common
Provides:	festival-voice
Provides:	festival-voice-english
Provides:	festival-voice-en_US

%description kedlpc16k
Festival Voice - American English male speaker (KAL) 16kHz

%package kedlpc8k
Group:		Sound
Summary:	Festival Voice - American English male speaker (KDE) 8kHz
Requires:	festvox-kedlpc-common
Provides:	festival-voice
Provides:	festival-voice-english
Provides:	festival-voice-en_US

%description kedlpc8k
Festival Voice - American English male speaker (KED) 8kHz

%package kedlpc-common
Group:		Sound
Summary:	Festival Voice - American English male speaker (KED) - Common
Requires:	festlex-CMU

%description kedlpc-common
Festival Voice - American English male speaker (KED)

Files shared between the 16kHz and 8kHz Voices


#%package rablpc16k
#Group:		Sound
#Summary:	Festival Voice - British English male speaker (RAB) 16kHz
#Requires:	festvox-rablpc-common
#Provides:	festival-voice
#Provides:	festival-voice-english
#Provides:	festival-voice-en_UK

#%description rablpc16k
#Festival Voice - British English male speaker (RAB) 16kHz

#%package rablpc8k
#Group:		Sound
#Summary:	Festival Voice - British English male speaker (RAB) 8kHz
#Requires:	festvox-rablpc-common
#Provides:	festival-voice
#Provides:	festival-voice-english
#Provides:	festival-voice-en_UK

#%description rablpc8k
#Festival Voice - American English male speaker (RAB) 8kHz

#%package rablpc-common
#Group:		Sound
#Summary:	Festival Voice - British English male speaker (RAB) - Common
#Requires:	festlex-OALD

#%description rablpc-common
#Festival Voice - British English male speaker (RAB)

#Files shared between the 16kHz and 8kHz Voices

%prep
rm -rf $RPM_BUILD_ROOT

#%setup -D -T -c -q -a 100 -a 101 -a 201 -a 202 -a 203 -a 204 -a205
%setup  -T -c -q -a 200 -a 201 -a 202 -a 203
#%patch10

%build

#cd festival/lib/dicts/cmu
#make
#cd ../../..

%install
mkdir -p $RPM_BUILD_ROOT%_datadir/festival
cp -a festival/lib/voices $RPM_BUILD_ROOT%_datadir/festival

rm -f $RPM_BUILD_ROOT/%{_datadir}/festival/voices/english/*/COPYING

%clean
rm -rf $RPM_BUILD_ROOT

%files kallpc16k
%defattr(-,root,root)
%_datadir/festival/voices/english/kal_diphone/group/kallpc16k.group

%files kallpc8k
%defattr(-,root,root)
%_datadir/festival/voices/english/kal_diphone/group/kallpc8k.group

%files kallpc-common
%defattr(-,root,root)
%doc festival/lib/voices/english/kal_diphone/COPYING
%_datadir/festival/voices/english/kal_diphone/festvox/*.scm

%files kedlpc16k
%defattr(-,root,root)
%_datadir/festival/voices/english/ked_diphone/group/kedlpc16k.group

%files kedlpc8k
%defattr(-,root,root)
%_datadir/festival/voices/english/ked_diphone/group/kedlpc8k.group

%files kedlpc-common
%defattr(-,root,root)
%doc festival/lib/voices/english/ked_diphone/COPYING
%_datadir/festival/voices/english/ked_diphone/festvox/*.scm

#%files rablpc16k
#%defattr(-,root,root)
#%_datadir/festival/voices/english/rab_diphone/group/rablpc16k.group

#%files rablpc8k
#%defattr(-,root,root)
#%_datadir/festival/voices/english/rab_diphone/group/rablpc8k.group

#%files rablpc-common
#%defattr(-,root,root)
#%doc festival/lib/voices/english/rab_diphone/COPYING
#%_datadir/festival/voices/english/rab_diphone/festvox/*.scm


%changelog
* Wed Jan 31 2007 Götz Waschk <waschk@mandriva.org> 1.4.3-2mdv2007.0
+ Revision: 115706
- Import festvox



* Wed Jan 31 2007 Gtz Waschk <waschk@mandriva.org> 1.4.3-2mdv2007.1
- rebuild

* Mon Jan 30 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4.3-2mdk
- Rebuild

* Tue Feb 11 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.4.3-1mdk
- PLF->MDK (satisfy requires in speaker3 ;-))
- Split voices into seperate srpm (make them noarch)
- Remove Spanish voice (not free), which will reside in PLF.
- Disable RH patch (lose "colour", "OpenBSD" and "FreeBSD in dicts) so we
  don't need to buildrequires festival

* Sun Sep  8 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.4.2-3plf
- update patch 20 and 21 to the rawhide versions -> gcc 3.2 build 

* Fri Jul 26 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.4.2-2plf
- gcc 3.2 build

* Fri Jul  5 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.4.2-1plf
- fixed buildrequires (readlink, termcap)
- adapted spec from Charles A Edwards <eslrahc@bellsouth.net>

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jun 10 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.4.2-7
- Fix some rpmlint errors

* Mon Jun 10 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.4.2-6
- Fix ISO C++ compliance

* Mon Mar 18 2002 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Mar 14 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.4.2-2
- Get rid of CVS directiories in doc dir
- Fix broken symlinks for components from speech_tools

* Wed Mar  6 2002 Trond Eivind Glomsrd <teg@redhat.com>
- 1.4.2
- Lots of fixes to make it build, more needed
- Cleanups
- Update URL
- Fix docs inclusion
- Drop prefix
- Use %%{_tmppath}

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add defattr (Bug #15033)

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix build on current 7.0

* Mon Jul 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix build on current 7.0

* Thu Jul  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- FHSify

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build on non-x86

* Sun Apr 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial packaging
